HTTP Anti-Virus Proxy

Official HAVP Support Forum
Registration disabled, I'm tired of spambots. E-mail havp@hege.li if you have questions.
HAVP project is pretty much frozen/abandoned at this time anyway.
It is currently 22 Jun 2014 09:52

All times are UTC + 2 hours [ DST ]




Post new topic Reply to topic  [ 1 post ] 
Author Message
 Post subject: havp sysinit patch
PostPosted: 31 Oct 2006 20:42 
Offline

Joined: 31 Oct 2006 19:52
Posts: 6
Hi,

here my patch for use with init - I had to add these on my debian/etch to get the pid stuff working. /var/run is on /dev/shm on my machine...

Regards
Olaf

Quote:
--- havp~ 2006-10-29 20:01:46.000000000 +0100
+++ havp 2006-10-29 20:03:05.000000000 +0100
@@ -19,8 +19,8 @@
NAME=havp
DESC=havp
DAEMON=/usr/sbin/$NAME
-TOPPIDDIR=/var/run/$NAME
-PIDFILE=$TOPPIDDIR/$NAME.pid
+PIDDIR=/var/run/$NAME
+PIDFILE=$PIDDIR/$NAME.pid

test -x $DAEMON || exit 0

@@ -34,12 +34,12 @@
case "$1" in
start)
echo -n "Starting $DESC: "
- if test ! -d $TORPIDDIR; then
- echo "There is no $TORPIDDIR directory. Creating one for you."
- mkdir -m 02700 "$TORPIDDIR"
- chown havp:havp "$TORPIDDIR"
+ if test ! -d $PIDDIR; then
+ echo "There is no $PIDDIR directory. Creating one for you."
+ mkdir -m 02700 "$PIDDIR"
+ chown havp:havp "$PIDDIR"
fi
- if test ! -x $TORPIDDIR; then echo "Cannot access $TORPIDDIR directory, are you root?" >&2; exit 1;
+ if test ! -x $PIDDIR; then echo "Cannot access $PIDDIR directory, are you root?" >&2; exit 1;
else
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--exec $DAEMON -- $DAEMON_OPTS


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 1 post ] 

All times are UTC + 2 hours [ DST ]


Who is online

Users browsing this forum: Google [Bot], Yahoo [Bot] and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group